/* ./resources/sass/app.scss */
@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";

@layer components {
  .btn-primary {
    @apply text-base h-fit text-white bg-blue px-6 py-2 flex items-center gap-1 w-fit rounded-lg border-blue border-2 transition-all font-semibold hover:text-blue hover:bg-white focus:outline-none;
    &.disabled {
      @apply pointer-events-none opacity-50;
    }
  }
  .btn-secondary {
    @apply text-base h-fit text-white bg-yellow px-6 py-2 flex items-center gap-1 w-fit rounded-lg border-yellow border-2 transition-all font-semibold hover:text-yellow hover:bg-white focus:outline-none;
  }
  .btn-tertiary {
    @apply text-base h-fit text-black bg-main-gray px-6 py-2 flex items-center gap-1 w-fit rounded-lg border-main-gray border-2 transition-all font-semibold hover:text-black hover:bg-white hover:border-black focus:outline-none;
  }

  .btn-delete {
    @apply text-base h-fit text-white bg-red-600 px-6 py-2 flex items-center gap-1 w-fit rounded-lg border-red-600 border-2 transition-all font-semibold hover:text-red-600 hover:bg-white focus:outline-none;
    &.reverse {
      @apply bg-white text-red-600 hover:bg-red-600 hover:text-white;
    }
  }

  * {
    @apply font-primary;
  }

  .toast {
    &.success {
      @apply bg-white;
    }
    transform: translateX(calc(100% + 32px));
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.35);
  }
  .toast.active {
    transform: translateX(0%);
  }
  .progress.active:before {
    animation: progress 4s linear forwards;
  }
  @keyframes progress {
    100% {
      right: 100%;
    }
  }
}

.table-archive {
  td {
    a {
      @apply hover:text-blue;
    }
  }
}

#job_type_list,
#quote_statuses_list {
  li.marked-for-deletion {
    input[type="text"] {
      @apply opacity-50 bg-red-200;
    }
  }
}
.tox-tinymce {
  @apply w-full;
}
